package com.writeoff.module.system.dto;

import javax.validation.constraints.NotNull;
import java.util.List;

public class AssignRoleDataPermissionRequest {
    @NotNull(message = "角色ID不能为空")
    private List<Long> roleIds;
    private String assignMode;

    public List<Long> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<Long> roleIds) {
        this.roleIds = roleIds;
    }

    public String getAssignMode() {
        return assignMode;
    }

    public void setAssignMode(String assignMode) {
        this.assignMode = assignMode;
    }
}
